      REAL FUNCTION CALIBH(X)
C
C     X is cos(theta)
C
C      REAL FUNCTION HDPION(X)
C
*
      IMPLICIT NONE
      
      REAL X,THETA,EMDEP

      INTEGER NPEM
      PARAMETER (NPEM=23)
      REAL    EMYVAL(NPEM),EMXVAL(NPEM),PI
      SAVE    EMYVAL,EMXVAL
      DATA EMYVAL/.1067,.1065,.1062,.1055,.1045,
     +          .1030,.1017,.1005,.0982,.0966,
     +          .0945,.0890,.0940,.0989,.1000,
     +          .1011,.1018,.1025,.1030,.1035,
     +          .1037,.1038,.1038/
      DATA EMXVAL/.0000,.1000,.2000,.3000,.4000,
     +           .5000,.6000,.6500,.7000,.7500,
     +           .8000,.8500,.9000,.9500,1.000,
     +           1.050,1.100,1.150,1.200,1.300,
     +           1.400,1.500,1.600/
      PARAMETER (PI = 3.141592)
*
*---- first rough position dependence 

*     theta calculation from cos(theta) and make 0 at 90 degree
      THETA=ABS(ACOS(ABS(X))-PI/2.)
* 
      CALL CALIBS(THETA,NPEM,EMXVAL,EMYVAL,EMDEP)
*     EMDEP : position dependence factor for 5 GeV electron
*
      CALIBH = EMDEP
      END

