      SUBROUTINE CTFLTK
*.
*...JMBFTK   stores 'TRACK' bank information from 'CTTRACK' bank
*.
*. INPUT     : none
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : CTGEO  GCNUM
*. CALLS     : KZGET1 KZGET0
*. CALLED    : GUANAL
*.
*. BANKS L   : CTTRACK
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Junichi KANZAKI
*. VERSION   : 1.00
*. CREATED   : 13-Mar-1996
*. LAST MOD  : 13-Mar-1996
*.
*. MODIFICATION LOG
*.**********************************************************************
      IMPLICIT NONE

#include "ctgeo.inc"

*--   Parameter for bank 'CTTRACK'
      CHARACTER*32 CFMCTR,CFSCTR
      INTEGER NWMCTR,LSECTR
      PARAMETER (NWMCTR=5)
      PARAMETER (CFMCTR='5I')
      PARAMETER (LSECTR=40)
      PARAMETER (CFSCTR='11F 1I 4F 1I 3F 1I 19F') 
      INTEGER NDACTR,NMXCTR
      PARAMETER (NMXCTR=LSECTR)
      REAL DATCTR(NMXCTR)
      INTEGER IDTCTR(NMXCTR)
      EQUIVALENCE (DATCTR(1),IDTCTR(1))

*--   Parameter for the bank 'TRACK'
      INTEGER NWMTRK,LSGTRK,IERTRK
      CHARACTER*32 CFMTRK,CFSTRK
      PARAMETER (NWMTRK=  5)
      PARAMETER (CFMTRK='5I')
      PARAMETER (LSGTRK=20)
      PARAMETER (CFSTRK='8F 1I 2F 3I 6F')
      REAL DATTRK(LSGTRK)
      INTEGER IDTTRK(LSGTRK)
      EQUIVALENCE (DATTRK(1),IDTTRK(1))

      INTEGER NCTTRK

      INTEGER NDPMOM
      PARAMETER (NDPMOM=5)
      REAL PMOM(NDPMOM)
      INTEGER ICHARG,IFLAG

      INTEGER ITR,I
      
      INTEGER NMXMCT
      PARAMETER (NMXMCT=9)
      REAL DATMCT(NMXMCT)
      INTEGER IDTMCT(NMXMCT)
      EQUIVALENCE (DATMCT(1),IDTMCT(1))


      CALL KZGET('CTTRACK',0, NDACTR, DATCTR)

      NCTTRK = IDTCTR(1)

      CALL KZBCR1('TRACK',NWMTRK,CFMTRK,NCTTRK,LSGTRK,CFSTRK, IERTRK)

      DO 10 I=1,NWMTRK
         IDTTRK(I) = 0
 10   CONTINUE
      
      IDTTRK(1) = NCTTRK
      
      CALL KZREP1('TRACK',0,NWMTRK,DATTRK)
      
      DO 100 ITR=1,NCTTRK
         
         CALL CTPMOM(ITR,PMOM,ICHARG,IFLAG)
         
         DATTRK(1) = PMOM(1)
         DATTRK(2) = PMOM(2)
         DATTRK(3) = PMOM(3)
         DATTRK(4) = PMOM(4)
         DATTRK(5) = FLOAT(ICHARG)
         
         CALL KZGET('CTTRACK',ITR, NDACTR,IDTCTR)
         
         DATTRK(6) = DATCTR(13)
         DATTRK(7) = DATCTR(14)
         
         DATTRK(8) = DATCTR(16)
         IDTTRK(9) = IDTCTR(17)
         
         DATTRK(10) = DATCTR(18)
         
         DATTRK(11) = DATCTR(20)
         IDTTRK(12) = IDTCTR(21)
         
         IDTTRK(13) = IDTCTR(12)
         IDTTRK(14) = ITR
         
         DATTRK(15) = DATCTR(37)
         DATTRK(16) = DATCTR(38)
         DATTRK(17) = DATCTR(39)
         
C     COSTH = PMOM(3)/PMOM(4)
C     PT = SQRT(PMOM(1)**2+PMOM(2)**2)
C     PHI = 180./PI*ATAN2(PMOM(2),PMOM(1))
C     CALL KZGET('MCTRACK', IDTCTR(12), NDAMCT, DATMCT)
C     ITRMC = IDTMCT(9)
C     PMC = SQRT(DATMCT(1)**2+DATMCT(2)**2+DATMCT(3)**2)
C     PTMC = SQRT(DATMCT(1)**2+DATMCT(2)**2)
C     COSMC = DATMCT(3)/PMC
C     PDIFF = (PMOM(4)-PMC)/PMC*100.

         CALL KZREP1('TRACK',ITR,LSGTRK,DATTRK)
         
 100  CONTINUE

      RETURN
      END
