*.    JMMED
*.
*...JMMED    Common for Tracking Medium
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Nakamura Isamu
*. VERSION   : 1.00
*. CREATED   : 25-May-94
*. LAST MOD  : 21-Jun-94
*.
*. MODIFICATION LOG
*. 21-Jun-94 N.Hosoda, Add TMCFRP,TMALUM
*. 25-APR-95 Y.Fujii,  Add TMSIBK ( for Silicon backplane )
*. 11-MAY-95 Y.Fujii,  Add TMAIR2 ( for Silicon MASTER VOLUME )
*.
*.**********************************************************************
      INTEGER IAIRJM
      PARAMETER (IAIRJM=1)
      INTEGER IVACJM
      PARAMETER (IVACJM=2)

*--   Set parameter of GSTMED
*-- sensitive/non-sensitive
      INTEGER ISENS,NOSENS
      PARAMETER (ISENS=1, NOSENS=0)
*--   magnetic field flag
      INTEGER NOFILD,IFIELD
      PARAMETER ( NOFILD=0 )
      PARAMETER ( IFIELD=1 )
*--   maximum field value
      REAL FIELDM,FIELDF
      PARAMETER ( FIELDM= 20.0 )
      PARAMETER ( FIELDF=-15.0 )
*--   maximum angle due to field permitted in one step 
      REAL TMAXFD
      PARAMETER ( TMAXFD=20.0 )
*--   maximum step permitted for usual volume
      REAL STEMAX
      PARAMETER ( STEMAX=10.0 )
*--   maximum fractional energy loss in one step
      REAL DEEMAX
      PARAMETER ( DEEMAX=0.1 )
*--   boundary crossing precision for usual volume
      REAL EPSIL
      PARAMETER ( EPSIL =0.01  )
*--   minimum step due to energy loss/multiple scattering/magnetic field
*                                for usual volume
      REAL STMIN
      PARAMETER ( STMIN =0.01  )

      INTEGER NWBUF
      PARAMETER (NWBUF=0)
      REAL UBUF
      PARAMETER (UBUF=0.)
