      SUBROUTINE BMFFRD
*.
*...BMFFRD   Read BM geometry data
*.
*. INPUT     : non
*. OUTPUT    : non
*.
*. SEQUENCE  :
*. COMMON    : GEFILE
*. CALLS     : FFSET  FFKEY  FFGO  GETDID JUALLC
*. CALLED    : UGINIT
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : T. Tauchi
*. VERSION   : 1.00
*. CREATED   : 29-Aug-1996
*. LAST MOD  : 
*.
*. MODIFICATION LOG
*.
*.**********************************************************************
      IMPLICIT NONE

*-- Common for user
#include "jmfile.inc"
#include "jmdet.inc"
#include "bmgeo.inc"


      SITKBM = 300E-4
      PXCLBM(1) = 50E-4
      PXCLBM(2) = 50E-4
      NLAYBM = 2

      RINNBM(1) = 3.0
      RINNBM(2) = 3.0

      ROUTBM(1) = 12.0
      ROUTBM(2) = 12.0

      ZBM(1) = 100.0
      ZBM(2) = 101.0
      
*-- Find data file name
      IF (LUNMJD(IDETBM).LE.0) RETURN
      
*-- Set optional values
      CALL FFSET('LINP', LUNMJD(IDETBM))

*-- Define private data records
      CALL FFKEY('BMTK', SITKBM , 1, 'REAL')
      CALL FFKEY('BMPX', PXCLBM , 2, 'REAL')
      CALL FFKEY('BMLY', NLAYBM , 1, 'INTEGER')
      CALL FFKEY('RIBM', RINNBM , 2, 'REAL')
      CALL FFKEY('ROBM', ROUTBM , 2, 'REAL')
      CALL FFKEY('ZBM ', ZBM    , 2, 'REAL')

*-- Read data cards
      CALL FFGO

  999 CONTINUE
      RETURN
      END
