CDECK  ID>, IDECOD.
      SUBROUTINE IDECOD (IDIIN,IDOUT)
*.
*...IDECOD
*.
*. Routine to "decode" the Particle Data Group Monte Carlo IDs
*.
*. INPUT     : IDIIN   The Particle Data Group ID to be decoded
*. OUTPUT    : IDOUT   The decoded ID (integer array of six elements)
*.
*. CALLS     : none
*. CALLED    : various
*.
*. AUTHOR    :  J.W.Gary
*. CREATED   :  08-May-1989
*. LAST MOD  :  08-May-1989
*.
*. Modification Log.
*.
*.********************************************************************
      IMPLICIT NONE
      INTEGER  IDIIN,IDPDG,IDOUT (*)

      IDPDG = IABS (IDIIN)
      IDOUT (1) = MOD (IDPDG,10)
      IDOUT (2) = MOD (IDPDG/10,10)
      IDOUT (3) = MOD (IDPDG/100,10)
      IDOUT (4) = MOD (IDPDG/1000,10)
      IDOUT (5) = MOD (IDPDG/10000,10)
      IDOUT (6) = MOD (IDPDG/100000,10)

      RETURN
      END
