      SUBROUTINE LMSPAR
*.
*...LMSPAR   Saves Luminosity Monitor Parameters into ZBS Bank.
*.           
*.
*. INPUT     : non
*. OUTPUT    : non
*.
*. SEQUENCE  :
*. COMMON    : 
*. CALLS     : 
*. CALLED    : JSTPAR
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : T. Tauchi
*. VERSION   : 1.00
*. CREATED   : 4-Feb-1997
*. LAST MOD  : 
*.
*. MODIFICATION LOG
*.             13-Nov.1998 Y.Fujii ; NDMAX changed from 13 to 17.
*.
*.**********************************************************************
      IMPLICIT NONE

#include "lmgeo.inc"
      
      INTEGER NDMAX
      PARAMETER (NDMAX=19)
      INTEGER IDATA(NDMAX)
      REAL    RDATA(NDMAX)
      EQUIVALENCE (RDATA(1),IDATA(1))
      EQUIVALENCE (RDATA(1),THETLM(1,1))

      INTEGER IERR


*-- Create ZBS Bank MCLMPAR
      CALL KZBCR1('MCLMPAR',NDMAX,'17F 2I',0,0,' ',IERR)

*-- Store Data to given Segment of Bank MCLMPAR
      CALL KZPUT1('MCLMPAR',0,0,NDMAX,IDATA)

      RETURN
      END
