      REAL FUNCTION PHIDEL(PHI1,PHI2)

      IMPLICIT NONE
      
      REAL PHI1,PHI2
      
      REAL X1(2),X2(2)
      REAL COSPHI,SINPHI


      X1(1) = COS(PHI1)
      X1(2) = SIN(PHI1)

      X2(1) = COS(PHI2)
      X2(2) = SIN(PHI2)

      COSPHI = X1(1)*X2(1)+X1(2)*X2(2)
      SINPHI = X1(1)*X2(2)-X1(2)*X2(1)

      IF (ABS(COSPHI).GE.1.) THEN
         COSPHI = SIGN(1.,COSPHI)
      ENDIF

      PHIDEL = ACOS(COSPHI)
      PHIDEL = SIGN(PHIDEL,SINPHI)

      RETURN
      END

