      SUBROUTINE SMPBAR(POSV,IDV,IDLX,IDLY)

      IMPLICIT NONE

#include "bcgeo.inc"

      REAL POSV(*)
      INTEGER IDV,IDLX,IDLY

*   for MAXXY=16 (HCAL center), JIM Barrel (bcsub2) version
      REAL ZHC1,ZHC2
      REAL ZPS1,ZPS2
      REAL ZEC1,ZEC2
      REAL DX,DY
      PARAMETER (DX=10., DY=10.)
      
      ZHC1=DEMBC
      ZHC2=BLBC
      ZPS1=0.0
      ZPS2=5.0*0.5
      ZEC1=5.0*0.5
      ZEC2=DEMBC
      
CKI      PARAMETER (ZHC1=45.0*0.5,ZHC2=100+ZHC1)
CKI      PARAMETER (ZPS1=0.0,ZPS2=5.0*0.5)
CKI      PARAMETER (ZEC1=5.0*0.5,ZEC2=45.*0.5)
CKI      PARAMETER (DX=10., DY=10.)
      
      IF (POSV(3).GE.ZHC1.AND.POSV(3).LE.ZHC2) THEN
         IDV = 3
      ELSEIF (POSV(3).GE.ZEC1.AND.POSV(3).LE.ZEC2) THEN
         IDV = 2
      ELSEIF (POSV(3).GE.ZPS1.AND.POSV(3).LE.ZPS2) THEN
         IDV = 1
      ELSE
*-- no detector ???
         IDV = 0
      ENDIF
      
      IDLX = NINT(POSV(1)/DX+0.5) + 8
      IDLY = NINT(POSV(2)/DY+0.5) + 8
CKI      IDLX = NINT(POSV(1)/DX) + 8
CKI      IDLY = NINT(POSV(2)/DY) + 8

*-- no detector ???
      IF (IDLX.LE.0.OR.IDLX.GT.16) IDLX = 0
*-- no detector ???
      IF (IDLY.LE.0.OR.IDLY.GT.16) IDLY = 0

      RETURN
      END
