      SUBROUTINE SMPEND(POSV,IDV,IDLX,IDLY)

      IMPLICIT NONE

#include "ecgeo.inc"
#include "jconst.inc"

      REAL POSV(*)
      INTEGER IDV,IDLX,IDLY
      
      REAL RRR,RSIZE,TANT,PHI,PSIZE

*   for JIM endcap (ecsub2) version
      REAL ZHC1,ZHC2
      REAL ZPS1,ZPS2
      REAL ZEC1,ZEC2
      
      ZHC1=DEMEC
      ZHC2=BLEC
      ZPS1=0.0
      ZPS2=5.0*0.5
      ZEC1=5.0*0.5
      ZEC2=DEMEC
      
      IF (POSV(3).GE.ZHC1.AND.POSV(3).LE.ZHC2) THEN
         IDV = 3
      ELSEIF (POSV(3).GE.ZEC1.AND.POSV(3).LE.ZEC2) THEN
         IDV = 2
      ELSEIF (POSV(3).GE.ZPS1.AND.POSV(3).LE.ZPS2) THEN
         IDV = 1
      ELSE
*-- no detector ???
         IDV = 0
      ENDIF

      TANT = (RO2EC-RO1EC)/BLEC      
      RRR = SQRT(POSV(1)**2+POSV(2)**2) - RI1EC
      RSIZE = (RO1EC-RI1EC+POSV(3)*TANT)/(2*NDREC)
      
      IF(POSV(1).EQ.0.AND.POSV(2).EQ.0) THEN
         PHI = 0.0
      ELSE
         PHI = ATAN2(POSV(2),POSV(1))
      ENDIF
      IF (PHI.LT.0.0) PHI = PHI + TWOPI
      PSIZE = TWOPI/(2.*NDPEC(1))

      IDLX = NINT(PHI/PSIZE+0.5)
      IDLY = NINT(RRR/RSIZE+0.5)

*-- no detector ???
      IF (IDLX.LE.0.OR.IDLX.GT.2*NDPEC(1)) IDLX = 0
CKI      IF (IDLY.LE.0.OR.IDLY.GT.2*NDREC) IDLY = 0
      IF (IDLY.LE.0.OR.IDLY.GT.2*NDREC+4) IDLY = 0

      RETURN
      END
