C   16/10/84 410162119  MEMBER NAME  RGAUSS   (S)           FORTRAN
      FUNCTION RGAUSS(AMEAN,SIGMA)
C
C     GENERATES NORMALLY DISTRIBUTED RANDOM NUMBERS
C
C     << INPUTS >>
C          AMEAN ; MEAN VALUE OF THE DISTRIBUTION
C          SIGMA ; SIGMA OF THE DISTRIBUTION
C
C     << COMMENTS >>
C     THIS FUNCTION CALLS ANOTHER RANDOM NUMBER GENERATOR,
C     "RNORM", WHICH GENERATES STANDARD NORMAL DISTRIBUTION.
C     (I.E. MEAN = 0 AND SIGMA = 1.)
C     "RNORM" IS ALSO INCLUDED IN THIS LIBRARY.
C
C                                84.10.16   J. KANZAKI
C
C-----------------------------------------------------------------------

      RGAUSS=SIGMA*RNORM(DUM)+AMEAN
      RETURN
      END
