C      
C     TRACK PARAMETER DATA FROM 'FJIM-CDC-TrackParameter'
C
C     PX0CT,PY0CT,PZ0CT,PTOTCT = Momentum of i-th track
C      X0CT, Y0CT, Z0CT        = Vertex point (impact parameter actually) 
C      X/Y/ZCTCAL, X/Y/ZCTHAD  = Track point extraporated on EM/HAD surface.
C      IPTRK                   = pointer from track # to generator particle #.
C
      INTEGER NPTRAK
      PARAMETER (NPTRAK=1000)
      INTEGER NCGTRK,IPTRK,IQTRK
      REAL PX0CT, PY0CT, PZ0CT, PTOTCT, X0CT, Y0CT, Z0CT, RMNCT, ZMNCT,
     &     XCTCAL, YCTCAL, ZCTCAL, XCTHAD, YCTHAD, ZCTHAD,
     &     XCTVX, YCTVX, ZCTVX
      COMMON /TKDATA/ NCGTRK,PX0CT(NPTRAK),PY0CT(NPTRAK),PZ0CT(NPTRAK),
     &     PTOTCT(NPTRAK),X0CT(NPTRAK),Y0CT(NPTRAK),Z0CT(NPTRAK),
     &     RMNCT(NPTRAK),ZMNCT(NPTRAK),
     &     XCTCAL(NPTRAK),YCTCAL(NPTRAK),ZCTCAL(NPTRAK),  
     &     XCTHAD(NPTRAK),YCTHAD(NPTRAK),ZCTHAD(NPTRAK),
     &     XCTVX(MLAYVX,NPTRAK),YCTVX(MLAYVX,NPTRAK),
     &     ZCTVX(MLAYVX,NPTRAK),IPTRK(NPTRAK),IQTRK(NPTRAK)
      SAVE /TKDATA/
