      SUBROUTINE GETGEN
C
C     THIS SUBROUTINE IS CALLED BY MAIN
C     AND GET 'MCEVENT' DATA FROM BANKS.
C       
      IMPLICIT NONE
      
#include "jlcnst.inc"
#include "trbuff.inc"
#include "buffer.inc"

      CHARACTER*16 CNAME

      REAL PP,COSTH,PHI
      
      INTEGER I

      INTEGER ICHG
      REAL PGEN(3),VGEN(3)
      REAL HELIX(8)
      
      INTEGER IRET
      REAL XP(3)
      REAL EPSL
      PARAMETER (EPSL=0.1)
      
      INTEGER LBANK


      CALL KZEFST

      CALL KZBLOC('MCEVENT',LBANK)
      IF (LBANK.LE.0) THEN
         CALL MSGOUT('GETMCE','MCEVENT does not exist',LBANK)
         RETURN
      ENDIF

*-- Read MC data from 'MCEVENT'
      CALL KZGET('MCEVENT',0,NBUFF,IBUFF)

      NGEN  = IBUFF(2)

c      write(6,'(/''<< GETGEN : '',I5,'' >>''/)') NGEN
c      write(6,'(/''   #   Code     p    costh    phi charge''/)')

      DO 101 I=1,NGEN

         CALL KZGET('MCEVENT',I,NBUFF,IBUFF)

         GEN( 1,I) = RBUFF( 8)
         GEN( 2,I) = RBUFF( 9)
         GEN( 3,I) = RBUFF(10)
         GEN( 4,I) = RBUFF(11)
         GEN( 5,I) = RBUFF(13)
         GEN( 6,I) = RBUFF(14)
         GEN( 7,I) = RBUFF(15)
         GEN( 8,I) = RBUFF(16)
         GEN( 9,I) = RBUFF(12)
         GEN(10,I) = RBUFF(17)

         IGEN(1,I) = IBUFF( 2)
         IGEN(2,I) = IBUFF( 6)-IBUFF( 5)+1
         IGEN(3,I) = IBUFF( 5)
         IGEN(4,I) = IBUFF( 3)

c         if (ibuff(1).eq.1 .and. rbuff(17).ne.0.) then
c            pp = sqrt(rbuff(8)**2+rbuff(9)**2+rbuff(10)**2)
c            costh = rbuff(10)/pp
c            phi = 180./xpi*atan2(rbuff(9),rbuff(8))
c            write(6,'(i5,i6,f8.3,f7.3,f7.1,2x,f4.1)')
c     &           i,ibuff(2),pp,costh,phi,rbuff(17)
c         endif
         
 101  CONTINUE

      RETURN
      END  
            
