************************************************************************
*     ------------------------
      SUBROUTINE KZGETH(IDATA)
*     -------------------------
*
*     (Purpose)
*       Get the contents of the event header record
*
*     (Input)
*
*     (Output)
*       IDATA ; Contents of the event heaader record
*
*     (Creation Date and Author)
*       1994.07.19 : First version by J.Kanzaki
*       1996.04.26 : Add declarations. J.Kanzaki
*       1996.04.26 : Length of IDATA is taken from zbssys.h (LEMBDT).
*                  : J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbssys.inc"
#include "zbs.inc"

      INTEGER IDATA(LEMBDT)

      INTEGER LEVC,LEMB
      INTEGER I

C==== Search for Event Mother Bank

      LEVC = LZBS(IPEVC)
      LEMB = LZBS(LEVC-ILEMCR)

      IF(LEMB.LE.0) RETURN

      DO 10 I=1,LEMBDT
      IDATA(I) = IZBS(LEMB+I)
 10   CONTINUE

      RETURN
      END
