      REAL FUNCTION CALIBE(X)
C
C     X is cos(theta)
C
C      REAL FUNCTION EMGAMMA(X)
C
*
      IMPLICIT NONE
      
      REAL X,THETA,EMDEP
      
      INTEGER NPEM
      PARAMETER (NPEM=23)
      REAL    EMYVAL(NPEM),EMXVAL(NPEM),PI
      SAVE    EMYVAL,EMXVAL
      DATA EMYVAL/.1213,.1212,.1211,.1209,.1208,
     +          .1207,.1205,.1203,.1198,.1192,
     +          .1191,.1195,.1205,.1220,.1224,
     +          .1226,.1227,.1227,.12275,.12275,
     +          .12275,.12275,.12275/
      DATA EMXVAL/.0000,.1000,.2000,.3000,.4000,
     +           .5000,.6000,.6500,.7000,.7500,
     +           .8000,.8500,.9000,.9500,1.000,
     +           1.050,1.100,1.150,1.200,1.300,
     +           1.400,1.500,1.600/
      PARAMETER (PI = 3.141592)
*
*---- first rough position dependence 

*     theta calculation from cos(theta) and make 0 at 90 degree
      THETA=ABS(ACOS(ABS(X))-PI/2.)
* 
      CALL CALIBS(THETA,NPEM,EMXVAL,EMYVAL,EMDEP)
*     EMDEP : position dependence factor for 5 GeV electron
*
      CALIBE = EMDEP
      END

