      REAL FUNCTION CALIBG(X)
C
C     X is energy
C
C      REAL FUNCTION EMGAM2(X)
C
*
      IMPLICIT NONE
      REAL  X,Z
      
      INTEGER NPEM
      PARAMETER (NPEM=9)
      REAL    EMYVAL(NPEM),EMXVAL(NPEM),COR
      SAVE    EMYVAL,EMXVAL
      DATA EMYVAL/-0.2, -0.095, -0.05, -0.04,
     +            -0.025, -0.02, -0.01, -0.005, 0.0/
      DATA EMXVAL/0.1, 0.2, 0.3, 0.5,
     +            1.0, 2.0, 3.0, 5.0, 10.0/
*
*---- first rough position dependence 

*     0 th calibration

      Z = X/.24494E-01            
* 
      CALL CALIBS(Z,NPEM,EMXVAL,EMYVAL,COR)
*     1st order calib
      Z = Z /(1.+COR)

*
      CALIBG = Z
      END
