*.    BCGEO
*.
*...BCGEO    Common for BC geometry
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Nakamura Isamu
*. VERSION   : 1.00
*. CREATED   : 25-May-94
*. LAST MOD  : 23-May-95
*.
*. MODIFICATION LOG
*. 26-Feb-99 : ISHII Koji Changed parameters
*. 21-Apr-95 : Nakamura.I Add comment.
*. 21-Apr-95 : Nakamura.I Add Size and Position Information.
*. 29-Jul-94 : N.HOSODA Add SAVE statement
*. 
*.**********************************************************************
      INTEGER NPTHBC,NPSMBC
      PARAMETER (NPTHBC=100, NPSMBC=100)
      INTEGER THECBC,THHDBC
      PARAMETER (THECBC=100, THHDBC=50)
      INTEGER SWITBC,NDTHBC,NDPHBC
      REAL RINBC,ZLBC,ZIBC,TSCEBC,TSCHBC,BLBC,BSBC,DEMBC,TLGBC,PTLTBC,
     &     GPE1BC,GPH1BC,GPE2BC,GPH2BC,GPE3BC,GPH3BC,GPE4BC,GPH4BC,
     &     SIZBC,SURFBC
      COMMON /BCGEO/ 
     &     SWITBC(4),RINBC,ZLBC,ZIBC,TSCEBC,TSCHBC,BLBC,
     &     BSBC,DEMBC,NDTHBC,TLGBC,PTLTBC,NDPHBC,
     &     SIZBC(7,NPTHBC),SURFBC(4,2,NPSMBC),
     &     GPE1BC(THECBC),GPE2BC(THECBC),GPE3BC(THECBC),GPE4BC(THECBC),
     &     GPH1BC(THHDBC),GPH2BC(THHDBC),GPH3BC(THHDBC),GPH4BC(THHDBC)
      SAVE /BCGEO/
*.    DATA SWITBC/ 2, 0, 0, 0/   ; SWITCH for bcgeom
*.    DATA RINBC / 250./         ; Inner radius of BC
*.    DATA ZLBC  / 800./         ; BCAL Z length
*.    DATA ZIBC  / 350./         ; Half Z length you want to cover
*.    DATA TSCEBC/   .1/         ; Thichness of BE scintillator
*.    DATA TSCHBC/   .2/         ;              BH scintillator
*.    DATA BLBC  / 140./         ; Depth of BC
*.    DATA BSBC  /  20./         ; Size of BC front face
*.    DATA DEMBC /  20./         ; Depth of BE
*.    DATA TLGBC /   .5/         ; Thickness of WLS plate
*.    DATA PTLTBC/   3./         ; Phi tilt angle
*.    DATA NDPHBC/   64/         ; # phi division
*.    DATA NDTHBC/   25/         ; # theta division

