*.    BMGEO
*.
*...BMGEO    Common for beam profile monitor geometry
*.
*. REPORT CONDITIONS,  unit of length = cm
*.
*.    SITKBM = Si thickness
*.    PXCLBM(1) x PXCLBM(2) = phi x r (pixcel size)
*.    NLAYBM = Number of layers
*.    RINNBM(1) = 1st layer inner radius
*.    ROUTBM(1) = 1st layer outer radius
*.    ZBM(1) = 1st layer Z position
*.    RINNBM(2) = 2nd layer inner radius
*.    ROUTBM(2) = 2nd layer outer radius
*.    ZBM(2) = 2nd layer Z position
*.    NDIVBM(2,2) = number of divisions in r and phi of
*.                   layer#1 and #2.
*. 
*. AUTHOR    : T. Tauchi
*. VERSION   : 1.00
*. CREATED   : 29-Aug-1996
*. LAST MOD  : 
*. 
*. MODIFICATION LOG
*.
*.**********************************************************************
      INTEGER NLAYBM,NDIVBM
      REAL SITKBM,PXCLBM(2),RINNBM(2),ROUTBM(2),ZBM(2)
      COMMON /BMGEO/ NLAYBM,SITKBM,PXCLBM,RINNBM,ROUTBM,ZBM,
     &     NDIVBM(2,2)     
      CHARACTER*4 BMVNAM(10)
      COMMON /BMGEOC/ BMVNAM
      SAVE /BMGEO/,/BMGEOC/
