*.    ECGEO
*.
*...ECGEO    Common for EC geometry
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Nakamura Isamu
*. VERSION   : 1.00
*. CREATED   : 25-May-94
*. LAST MOD  : 23-May-95
*.
*. MODIFICATION LOG
*. 23-May-95 Nakamura I, Add comments
*. 29-Jul-94 N.HOSODA Add SAVE statement
*.
*.**********************************************************************
      INTEGER NPRDEC,NPSMEC
      PARAMETER (NPRDEC=100, NPSMEC=200)
      INTEGER NDREC,NDPEC,SWITEC
c      INTEGER ISTEEC,ISTHEC,IDTEEC,IDTHEC,NDREC,NDPEC,SWITEC
c      REAL ECRE,ECRH
      REAL RI1EC,RO1EC,RI2EC,RO2EC,ZIEC,BLEC,DEMEC,TSCEEC,TSCHEC,BSIZEC,
     &     SIZEC,SFPHEC,SURFEC
      COMMON /ECGEO/ 
     &   SWITEC,
c     &   ISTEEC(1000),ISTHEC(1000),IDTEEC(1000),IDTHEC(1000),SWITEC,
     &   NDREC,NDPEC(NPRDEC),
C     &   ECRE(1000),ECRH(1000),
     &   RI1EC,RO1EC,RI2EC,RO2EC,ZIEC,BLEC,DEMEC,TSCEEC,TSCHEC,BSIZEC,
     &   SIZEC(7,NPRDEC),SFPHEC(NPRDEC),SURFEC(2,2,NPSMEC,NPRDEC)
      SAVE /ECGEO/

*.    DATA SWITEC/    2/    ; Switch for EC
*.    DATA RI1EC /  25./    ; 
*.    DATA RO1EC / 230./    ;
*.    DATA RI2EC /  25./    ;
*.    DATA RO2EC / 300./    ;
*.    DATA ZIEC  / 300./    ; Z-positoin of EC Front Face
*.    DATA BLEC  / 140./    ; Block Length
*.    DATA DEMEC /  20./    ; Depth of EM part
*.    DATA TSCEEC/   .1/    ; Tickness of EE Scintillator
*.    DATA TSCHEC/   .2/    ; Tickness of EH Scintillator
*.    DATA BSIZEC/  20./    ; Block Size
