*.    IRGEO
*.
*...IRGEO    Common for IR as QC-magnet geometry
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Yoshiaki Fujii
*. VERSION   : 1.00
*. CREATED   : 28-Aug-1996
*.
*. MODIFICATION LOG
*.  xx-Oct-1999 T.Tauchi
*.              change in BPGEO
*.
*.**********************************************************************
      
      INTEGER IDIRIR,IDQCIR,IDMKIR,IDBPIR
      PARAMETER (IDIRIR=0,IDQCIR=10,IDMKIR=20,IDBPIR=30)

*-- Interaction Region General Parameters
      REAL            CRSAIR
      COMMON /IRGEO / CRSAIR
      SAVE /IRGEO /

*-- QC parameters
      CHARACTER*4 QCVNAM(10)
      COMMON /QCGEOC/ QCVNAM

      REAL QXY1QC, QXY2QC, QXY3QC, QXY4QC,
     &     QXY5QC, QXY6QC, QXY7QC, QXY8QC
      REAL QC0ZQC, QC1ZQC, QC2ZQC, COIXQC, COIYQC
      COMMON /QCGEO / QXY1QC(2), QXY2QC(2), QXY3QC(2), QXY4QC(2),
     &                QXY5QC(2), QXY6QC(2), QXY7QC(2), QXY8QC(2), 
     &                QC0ZQC(2), QC1ZQC(2), QC2ZQC(2),
     &                COIXQC(2), COIYQC(2)
      REAL QXYNQC(2,8)
      EQUIVALENCE   ( QXY1QC(1), QXYNQC(1,1) )
      SAVE /QCGEO /,/QCGEOC/

*-- Mask parameters
      REAL             THETMK, R1INMK, R2OUMK, Z3MK
      COMMON /MKGEO  / THETMK(2), R1INMK, R2OUMK, Z3MK
      SAVE /MKGEO /

*-- Beam Pipe parameters
      REAL             RINBP, THIKBP, ZPOSBP
      COMMON / BPGEO / RINBP(3), THIKBP(4), ZPOSBP(5)
      SAVE /BPGEO /

*-- Support Tube and Compensation Solenoid parameters
      REAL              RRZST
      COMMON / STGEO /  RRZST(3)
      SAVE /STGEO /

      REAL             RRZZCS
      COMMON / CSGEO / RRZZCS(4)
      SAVE /CSGEO /
