      SUBROUTINE GUPHAD
*.
*...GUPHAD   GEANT3 user routine called at each step to evaluate the
*.           remaining distance to the hadronic interaction point.
*.
*. INPUT     : none
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : 
*. CALLS     : GPGHEI
*. CALLED    : GMUNU  GPFIS  GTHADR GTNEUT
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Naoyasu HOSODA
*. VERSION   : 1.00
*. CREATED   : 03-Mar-1994
*. LAST MOD  : 03-Mar-1994
*.
*. MODIFICATION LOG
*.
*.**********************************************************************
      IMPLICIT NONE
*
*--   Returns the distance to the next hadronic interaction according
*--   to the GHEISHA cross section
      CALL GPGHEI
*
      RETURN
      END
