      SUBROUTINE GUTREV
*.
*...GUTREV   GEANT3 user routine
*.           User routine to control tracking of one event.
*.
*. INPUT     : none
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : GCFLAG MCHEAD
*. CALLS     : GDSHOW GTREVE
*. CALLED    : GTRIG
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Naoyasu HOSODA
*. VERSION   : 1.00
*. CREATED   : 11-Mar-1994
*. LAST MOD  : 28-Jul-1994
*.
*. MODIFICATION LOG
*. 18-May-1994 replace geant common by INCLUDE
*.
*.**********************************************************************
      IMPLICIT NONE

*-- commons for GEANT
#include "geant321/gcflag.inc"

*-- commons for JIM
#include "mchead.inc"

*--   Energy deposit in all modules
c      RMCENG=0.0

*--   For debug, show a given view
      IF (IDEBUG.EQ.1 .AND. ISWIT(4) .GE. 1) CALL GDSHOW(1)

*-- Evnet Initialization
      CALL JMEINI

*--   Loop over tracks, includeing any secondaries generated
      CALL GTREVE

      RETURN
      END
