      SUBROUTINE JGFFRD
*.
*...JMFFRD   Read geant parameter 
*.
*. INPUT     : none
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : GEFILE HIGZPA GCKINE MCHEAD
*. CALLS     : FFSET  FFKEY  FFGO
*. CALLED    : UGINIT
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Naoyasu HOSODA
*. VERSION   : 1.00
*. CREATED   : 18-May-1994
*. LAST MOD  : 11-May-1995
*.
*. MODIFICATION LOG
*. 06-Nov-1998 J.Kanzaki, Add detector simulation flags
*. 11-May-1995 I.Nakamura, Replace DYALLC with JUALLC
*. 11-MAY-1995 Y.Fujii,  Added  INCLUDE 'gctrak.h'  and FFKEY IGAUTO
*.                     for gstmed parameter user define.
*. 27-May-1994 N.Hosoda, Add find data file name part
*. 15-JUN-1994 N.Hosoda, Use GETDID
*. 28-Jun-1994 N.Hosoda, Use not OPEN but DYALLC
*.
*.**********************************************************************
      IMPLICIT NONE

*--   Common
#include "geant321/gckine.inc"
#include "geant321/gctrak.inc"

#include "jmcntl.inc"
#include "jmfile.inc"
#include "higzpa.inc"
#include "mchead.inc"
      
      

      IAX = 3

      GDUV0(1) = 10.
      GDUV0(2) = 10.

      GDCNTR = 0.

      GDSUV(1) = 0.010
      GDSUV(2) = 0.010

      IGPRNT = 1

      IF (LUNMJM(IFILJG).LE.0) RETURN

*--   Set optional values
      CALL FFSET('LINP', LUNMJM(IFILJG))

*--   Define private data records

*--   axis for GDRAWC 1=x,2=y,3=z
      CALL FFKEY('IGDW', IAX , 1, 'INTEGER')

*--   u,v coodinate on the screen of the volume origin
      CALL FFKEY('GDUV', GDUV0 , 2, 'REAL')      

*--   Distance between origin and screen center
      CALL FFKEY('GDCT', GDCNTR , 1 , 'REAL')

*--   scale factor for u,v coodinates
      CALL FFKEY('GSUV', GDSUV , 2, 'REAL')      

*--   Graphics output 1=output to PS file & screen, 0=screen, -1=PS file
      CALL FFKEY('IGPR', IGPRNT , 1, 'INTEGER')      

*--   Read a set of data records with the FFREAD package
      CALL FFGO

      RETURN
      END
