      SUBROUTINE JMGEOM
*.
*...JMGEOM    GEANT3 user routine
*.           Define the detector geometry and tracking media.
*.
*. INPUT     : none
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : none
*. CALLS     : JMMATE GSVOLU HBGEOM EBGEOM CTGEOM VXGEOM HEGEOM EEGEOM
*.             GGCLOS  JMTMED
*. CALLED    : UGINIT
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Naoyasu HOSODA
*. VERSION   : 1.00
*. CREATED   : 11-Mar-1994
*. LAST MOD  : 27-Jul-1994
*.
*. MODIFICATION LOG
*. 28-Aug-1996, Y.Fujii,  Redefined rotation matrix numbers in ct,bc,ec,mu.
*.                      Now definition is as follows.
*.                      vx=3xxx, bc=5xxx,ec=6xxx,mu=7xxx,IR=8xxx,ct>10000  
*. 12-May-1995, Y.Fujii,  Add mugeom
*. 28-Jul-1994, N.HOSODA, Add IOPTIM flag
*.
*.**********************************************************************
      IMPLICIT NONE
      
#include "jmmed.inc"

      REAL PAR(12)
      INTEGER IVOLU


      PAR(1)=1000.0
      PAR(2)=1000.0
      PAR(3)=1000.0
      CALL GSVOLU('MAST', 'BOX ', IAIRJM, PAR, 3, IVOLU)

      RETURN
      END

