      SUBROUTINE MCDIGI
*.
*...MCDIGI   Compute and store DIGIts for MCHEADER
*.
*. INPUT     : none
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : GCFLAG GCNUM  MCHEAD 
*. CALLS     : KZCBR1 KZPUT1 KZGET1
*. CALLED    : GUDIGI
*.
*. BANKS L   : MCHEADER
*. BANKS U   :
*. BANKS M   :
*. BANKS D   : 
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Naoyasu HOSODA
*. VERSION   : 1.00
*. CREATED   : 29-Jun-1994
*. LAST MOD  : 29-Jun-1994
*.
*. MODIFICATION LOG
*.**********************************************************************
      IMPLICIT NONE

*--   Common
#include "geant321/gcflag.inc"
#include "geant321/gcnum.inc"

#include "mchead.inc"

      INTEGER NDATMX
      PARAMETER (NDATMX=10)
      INTEGER   IDATA(NDATMX)
      REAL      RDATA(NDATMX)
      EQUIVALENCE (IDATA(1), RDATA(1))

      CHARACTER*32 CFMHED,CFSHED
c      CHARACTER*32 CNAHED,CFMHED,CFSHED

*--   Parameter for bank
      INTEGER NWMHED,NSEHED,LSEHED,ISEHED,NWPHED,NDAHED
c      PARAMETER (CNAHED='MCHEADER')
      PARAMETER (NWMHED=10)
      PARAMETER (CFMHED='7I 3F')
      PARAMETER (NSEHED=0)
      PARAMETER (LSEHED=0)
      PARAMETER (CFSHED=' ')
      PARAMETER (ISEHED=0)
      PARAMETER (NWPHED=0)
      PARAMETER (NDAHED=10)
C      PARAMETER (NDAHED=NWMHED)

      INTEGER IERR

*--   Set data
      IDATA(1) =0
      IDATA(2) =IDEVT
      IDATA(3) =ITYPMC
      IDATA(4) =4
      IDATA(5) =NVERTX
      IDATA(6) =NTRACK
      IDATA(7) =NTMULT
      RDATA(8) =ECMMC
      RDATA(9) =BKGMC
      RDATA(10)=EBMMC

*--   Create new ZBS bank with the 1-dim. fixed length segment.
      CALL KZBCR1('MCHEADER',NWMHED,CFMHED,NSEHED,LSEHED,CFSHED, IERR)

*--   Put data words into the given segment of the bank
      CALL KZPUT1('MCHEADER',ISEHED,NWPHED,NDAHED,IDATA)

      RETURN
      END
