      REAL FUNCTION SMELOS(X,RGEV)
*---- Unit  X (KE)  (GeV)  RMEV  (Mass) (GeV)  DEDECAL (GeV)
      
      IMPLICIT NONE
      REAL X,RGEV

*-- Pb
      REAL A1,Z1,DENS1,UDEDX1
      PARAMETER (A1=  207.19 ,Z1= 82.0, DENS1=  11.35 )
*-- C
      REAL A2,Z2,DENS2,UDEDX2
      PARAMETER (A2=   12.01 ,Z2=  6.0, DENS2= 12./13.)
*-- H
      REAL A3,Z3,DENS3,UDEDX3
      PARAMETER (A3=   12.01 ,Z3=  6.0, DENS3=  1./13.)

      REAL KE,M

      KE = X * 1.E+03
      M  = RGEV* 1.E+03

      CALL SMDEDX(KE,M,A1,Z1,DENS1,UDEDX1)
      CALL SMDEDX(KE,M,A2,Z2,DENS2,UDEDX2)
      CALL SMDEDX(KE,M,A3,Z3,DENS3,UDEDX3)

      SMELOS = UDEDX1 * 0.8 + UDEDX2 * 0.2 + UDEDX3 * 0.2
*-- to GeV unit
      SMELOS = SMELOS * 1.E-03

      RETURN
      END
