      SUBROUTINE SMIELO(EK0,M,DRANG,RANGE,DERNGE,ISTOP)
*---- total integrated dedx passing DRANG (cm) length with initial EK (GeV)
*     
      IMPLICIT NONE
      REAL M,EK0,DRANG
      REAL RANGE,DERNGE
      INTEGER ISTOP

      REAL R,R1,EK1

      REAL SMRNGE,SMRN2E,SMELOS


*---- calculate range
      R=SMRNGE(EK0,M)
      RANGE = R
      IF (R.LT.DRANG) THEN
*------ stop within DRANG, so deposit all EK0 in the medium
         DERNGE = EK0
         ISTOP   = 1
      ELSEIF (R*0.8.LT.DRANG) THEN
         R1=R-DRANG
         EK1=SMRN2E(R1,M)
         DERNGE=MAX(0.,EK0-EK1)
      ELSE
         DERNGE=MIN(EK0,SMELOS(EK0,M)*DRANG)
      ENDIF

      IF (EK0-DERNGE.LE.0.0) THEN
         ISTOP = 1
         DERNGE = EK0
      ELSE
         ISTOP = 0
      ENDIF
      
      RETURN
      END
