      SUBROUTINE JLGCTP(ICODE)

      IMPLICIT NONE

#include "buffer.inc"
#include "ctgeo.inc"
#include "ctsim.inc"
#include "smrres.inc"
#include "smrtgo.inc"
      
      INTEGER I,ICODE
      
      INTEGER LBANK
      

      ICODE = 0

      CALL KZBLOC('MCCTPAR',LBANK)
      IF (LBANK.LE.0) THEN
         CALL MSGOUT('JLGCTP','MCCTPAR does not exist',LBANK)
         ICODE = 1
         RETURN
      ENDIF

      CALL KZGET('MCCTPAR',0,NBUFF,IBUFF)

      NSLYCT = IBUFF(1)
      NANOCT = IBUFF(2)
      ROMACT = RBUFF(3)
      RIMACT = RBUFF(4)
      ZMAC T = RBUFF(5)
      EPX1CT = RBUFF(6)
      EPY1CT = RBUFF(7)
      PLSCCT = RBUFF(8)
      RLSCCT = RBUFF(9)
      RLUNCT = RBUFF(10)
      TCYLCT = RBUFF(11)
      TENPCT = RBUFF(12)

      IBNKCT = IBUFF(13)
      NAHTCT = IBUFF(14)

      IF (NBUFF.LE.20) THEN

         DO 100 I=1,NPSLCT
            CALL KZGET('MCCTPAR',I,NBUFF,IBUFF)
            NPLYCT(I) = IBUFF(1)
            IAXSCT(I) = IBUFF(2)
            RILYCT(I) = RBUFF(3)
            ZLLYCT(I) = RBUFF(4)
            SANGCT(I) = RBUFF(5)
            STWICT(I) = RBUFF(6)
            XYLYCT(I) = RBUFF(7)
 100     CONTINUE

      ELSE

         DO 110 I=1,NPSLCT
            NPLYCT(I) = IBUFF(12         +I)
            IAXSCT(I) = IBUFF(12+  NPSLCT+I)
            RILYCT(I) = RBUFF(12+2*NPSLCT+I)
            ZLLYCT(I) = RBUFF(12+3*NPSLCT+I)
            SANGCT(I) = RBUFF(12+4*NPSLCT+I)
            STWICT(I) = RBUFF(12+5*NPSLCT+I)
            XYLYCT(I) = RBUFF(12+6*NPSLCT+I)
 110     CONTINUE

      ENDIF

      
      NSMPCT = 8
      NSMPTK = NSLYCT*NANOCT
      DSMPTK = RLSCCT/FLOAT(NANOCT)
      RCYTK(1) = RIMACT
      RCYTK(2) = ROMACT
      ZCYTK(1) = -ZMACT
      ZCYTK(2) =  ZMACT
      
      SIGRF = 1.E-2
      SIGZE = 5.E-2

      RETURN
      END
