      SUBROUTINE JUMCDP
*.
*...JUMCDP   Dump a 'MCEVENT' in LULIST style
*.
*.
*. INPUT     : non
*. OUTPUT    : non
*.
*. SEQUENCE  :
*. COMMON    : LUJETS HEPEVT 
*. CALLS     :
*.
*. REPORT CONDITIONS
*. AUTHOR    : Nakamura Isamu
*. VERSION   : 1.00
*. CREATED   : 13-May-1995
*. LAST MOD  : 
*.
*. MODIFICATION LOG
*.**********************************************************************
      IMPLICIT NONE

#include "jetset.inc"
#include "hepevt.inc"

      INTEGER     IDATA(20)
      REAL        RDATA(20)
      EQUIVALENCE (RDATA(1),IDATA(1))
CCCCC EQUIVALENCE (RDATA(1),IDATA(1),CDATA(1))
      
      INTEGER NMDATA
      INTEGER NDATA
      INTEGER ISEG
      REAL CHARGE,CTAU
      

*-- Read MCEVENT
      CALL KZGET('MCEVENT',0,NMDATA,RDATA)
      NEVHEP = IDATA(1)
      NHEP   = IDATA(2)

*-- Read MCEVENT Sub Segment
      DO 20 ISEG=1,IDATA(2)
         CALL KZGET('MCEVENT',ISEG,NDATA,RDATA)
         ISTHEP(ISEG)   = IDATA(1) 
         IDHEP(ISEG)    = IDATA(2)  
         JMOHEP(1,ISEG) = IDATA(3)
         JMOHEP(2,ISEG) = IDATA(4)
         JDAHEP(1,ISEG) = IDATA(5)
         JDAHEP(2,ISEG) = IDATA(6)
         PHEP(1,ISEG)   = RDATA(8)  
         PHEP(2,ISEG)   = RDATA(9)  
         PHEP(3,ISEG)   = RDATA(10)  
         PHEP(4,ISEG)   = RDATA(11)
         PHEP(5,ISEG)   = RDATA(12)
         VHEP(1,ISEG)   = RDATA(13)*10.
         VHEP(2,ISEG)   = RDATA(14)*10.
         VHEP(3,ISEG)   = RDATA(15)*10.
         VHEP(4,ISEG)   = RDATA(16)*10.
         CHARGE         = RDATA(17)
         CTAU           = RDATA(18)
 20   CONTINUE

      CALL LUHEPC(2)
      CALL LULIST(1)

      RETURN
      END
