C
C     DATA FROM BANK 'MCEVENT'
C     IPCODE(i) = Lund Particle code for i-th particle.
C     IPBEAM = Particle code of beam particle 
C     IPGEN  = Particle code of first generated
C     NPDET  = # of detected particles 
C
      INTEGER NPMCEV
      PARAMETER (NPMCEV=1000)
      INTEGER NEXP, NRUN, NEVENT, NPART, NPDET,
     &     IPCODE, IPMOTH, IPDAUG, IPBEAM, IPGEN, DMODE
      REAL PXGEN, PYGEN, PZGEN, VXGEN, VYGEN, VZGEN,
     &     ETGEN, MASGEN, QGEN, PTGEN, RMNGEN
      REAL XMCCAL, YMCCAL, ZMCCAL
      REAL XMCHAD, YMCHAD, ZMCHAD
      REAL XMCVX, YMCVX, ZMCVX
      COMMON /MCDATA/ NEXP, NRUN, NEVENT, NPART, NPDET,
     &     IPCODE(NPMCEV), IPMOTH(NPMCEV), IPDAUG(NPMCEV),
     &     PXGEN(NPMCEV),  PYGEN(NPMCEV), PZGEN(NPMCEV),
     &     VXGEN(NPMCEV), VYGEN(NPMCEV), VZGEN(NPMCEV), 
     &     ETGEN(NPMCEV), MASGEN(NPMCEV), QGEN(NPMCEV),
     &     PTGEN(NPMCEV), RMNGEN(NPMCEV),
     &     XMCCAL(NPMCEV),YMCCAL(NPMCEV),ZMCCAL(NPMCEV),
     &     XMCHAD(NPMCEV),YMCHAD(NPMCEV),ZMCHAD(NPMCEV),
     &     XMCVX(MLAYVX,NPMCEV),YMCVX(MLAYVX,NPMCEV),
     &     ZMCVX(MLAYVX,NPMCEV),
     &     IPBEAM, IPGEN, DMODE
      SAVE /MCDATA/
