      SUBROUTINE GETMCH

      IMPLICIT NONE
      
#include "trbuff.inc"      
#include "jlhead.inc"      
#include "jlfeld.inc"
#include "buffer.inc"

      REAL AK
      PARAMETER (AK= 2.997925E-4)
      
      INTEGER IFIRST
      DATA IFIRST/ 0/
      SAVE IFIRST
      
      INTEGER LBANK


      CALL KZBLOC('HEADER',LBANK)
      IF (LBANK.LE.0) THEN
         CALL MSGOUT('GETMCH','HEADER does not exist',LBANK)
         RETURN
      ENDIF

      CALL KZGET('HEADER',0,NBUFF,IBUFF)

      NEXPJL = IBUFF(1)
      NRUNJL = IBUFF(2)
      NEVTJL = IBUFF(3)
      EBMJL  = RBUFF(4)
      BFIELD = RBUFF(5)

      ENDIAN = 1296651082
      PRODUC = 'JIM '
      IVERS  = 202

      HEAD(1) = NEVTJL
      HEAD(2) = 2.*EBMJL

C      PT=AK*ABS(BFIELD/CURV)
      PTOR = 1./(AK*ABS(BFIELD))
      ROPT = 1./PTOR

      IF (IFIRST.EQ.0) THEN
         IFIRST = 1
         WRITE(6,6000) BFIELD,PTOR,ROPT

 6000    FORMAT(/1H ,'<< Parameter for Magnetic Fields >>'/
     &        1H ,' B(kG) = ',F8.3,' PtoR = ',F8.3,' RtoP = ',F10.7)

      ENDIF

      RETURN
      END
