      SUBROUTINE NTDEF(ID)

      IMPLICIT NONE

#include "trbuff.inc"

      INTEGER ID
      CHARACTER*256 CFORM

      INTEGER LNBLNK


      WRITE(CFORM,'(''ENDIAN:I*4,PRODUC:C*4,IVERS:I*4,'',
     &     ''HEAD('',I1,''):R*4,IERFLG:U:8'')') NPHEAD
      CALL HBNAME(ID,'HEAD',ENDIAN,CFORM(:LNBLNK(CFORM)))
C      CALL HBNAME(ID,'HEAD',ENDIAN,'ENDIAN:I*4,PRODUC:C*4,IVERS:I*4,
C     &     HEAD(2):R*4,IERFLG:U:8')

      WRITE(CFORM,'(''NGEN[0,'',I4,''],GEN('',I2,'',NGEN):R*4,'',
     &     ''IGEN('',I1,'',NGEN):I:16'')') MXGEN,NPRGEN,NPIGEN
      CALL HBNAME(ID,'GENE',NGEN,CFORM(:LNBLNK(CFORM)))
C      CALL HBNAME(ID,'GENE',NGEN,'NGEN[0,700],GEN(10,NGEN):R*4,
C     &                IGEN(4,NGEN):I:16')

      WRITE(CFORM,'(''NCMB[0,'',I4,''],CMBT('',I1,'',NCMB):R*4'')')
     &     MXCMB,NPCMB
      CALL HBNAME(ID,'CMBP',NCMB,CFORM(:LNBLNK(CFORM)))
C      CALL HBNAME(ID,'CMBP',NCMB,'NCMB[0,700],CMBT(8,NCMB):R*4')

      WRITE(CFORM,'(''NTRK[0,'',I4,''],TRKF('',I2,'',NTRK):R*4,'',
     &     ''TRKD('',I2,'',NTRK):R*4,NVTX(NTRK):U:5'')')
     &     MXTRK,NPFTRK,NPDTRK
      CALL HBNAME(ID,'TRKS',NTRK,CFORM(:LNBLNK(CFORM)))
C      CALL HBNAME(ID,'TRKS',NTRK,'NTRK[0,300],TRKF(23,NTRK):R*4,
C     &            TRKD(15,NTRK):R*4,NVTX(NTRK):U:5')

      WRITE(CFORM,'(''NEMH[0,'',I3,''],EMH('',I1,'',NEMH):I*4'')') 
     &     MXECLS,NPECLS
      CALL HBNAME(ID,'EMCL',NEMH,CFORM(:LNBLNK(CFORM)))
C      CALL HBNAME(ID,'EMCL',NEMH,'NEMH[0,500],EMH(2,NEMH):I*4')

      WRITE(CFORM,'(''NHDH[0,'',I3,''],HDH('',I1,'',NHDH):I*4'')') 
     &     MXHCLS,NPHCLS
      CALL HBNAME(ID,'HDCL',NHDH,CFORM(:LNBLNK(CFORM)))
C      CALL HBNAME(ID,'HDCL',NHDH,'NHDH[0,400],HDH(2,NHDH):I*4')

      WRITE(CFORM,'(''NSIH[0,'',I4,''],VTXD('',I1,'',NSIH):R*4,'',
     &     ''IDVTX('',I1,'',NSIH):U:10'')') MXSIH,NPRSIH,NPISIH
      CALL HBNAME(ID,'SIVH',NSIH,CFORM(:LNBLNK(CFORM)))
C      CALL HBNAME(ID,'SIVH',NSIH,'NSIH[0,2000],
C     &            VTXD(5,NSIH):R*4,IDVTX(2,NSIH):U:10')

      RETURN
      END
