************************************************************************
*     -------------------------------------
      SUBROUTINE KZADDN(IPFIND,CNAME,IPDIR)
*     -------------------------------------
*
*     (Purpose)
*        Add new entry into the directory table of ZBS.
*
*     (Inputs)
*        IPFIND ; The position where the entry should be added.
*        CNAME  ; Name of the entry ( <= 32 characters).
*
*     (Output)
*        IPDIR  ; Pointer to the new entry.
*
*     (Creation Date)
*        1991.12.25 : First version by J.Kanzaki.
*        1996.04.26 : Add declarations by J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbssys.inc"
#include "zbs.inc"

      CHARACTER*(*) CNAME

      INTEGER INAME(LBNAME),LNAME(LBNAME)

      INTEGER IPFIND,IPDIR
      INTEGER LDIR,LSRT

      INTEGER IPSORT

      INTEGER NBANK
      INTEGER LBDIR

      INTEGER ICODE,I


      LDIR = LZBS(IPDIRT)

      LSRT = LZBS(LDIR-ILBSRT)

      NBANK = IZBS(LDIR+INBANK)
      NBANK = NBANK+1
      LBDIR = IZBS(LDIR+INBTAB)
      IF(LBDIR.LT.NBANK) THEN
         CALL KZEXDI(ICODE)
         LDIR = LZBS(IPDIRT)
      END IF
      IZBS(LDIR+INBANK) = NBANK
      
      CALL VBLANK(INAME,LBNAME)
      CALL UCTOH(CNAME,INAME,4,LEN(CNAME))
      
      DO 10 I=1,LBNAME
         LNAME(I) = LZBS(LDIR-I)
 10   CONTINUE
      
      DO 20 I=1,LBNAME
         IZBS(LNAME(I)+NBANK) = INAME(I)
 20   CONTINUE
      
      IPSORT=ABS(IPFIND)
      IF(IPSORT.LT.NBANK) THEN
         DO 30 I = NBANK,IPSORT+1,-1
            IZBS(LSRT+I) = IZBS(LSRT+I-1)
 30      CONTINUE
      END IF
      IZBS(LSRT+IPSORT) = NBANK
      IPDIR = NBANK
      
      RETURN
      END
