************************************************************************
*     ------------------------
      SUBROUTINE KZBDEL(CNAME)
*     ------------------------
*
*     (Purpose)
*        Delete bank specified by CNAME.
*
*     (Inputs)
*        CNAME : a name of a bank to be deleted.
*     (Creation Date)
*        1992.12.22 : First version by J.Kanzaki.
*        1996.04.26 : Add declarations. J.Kanzaki
*        1999.04.01 : Some bugs fixed. J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbs.inc"
#include "zbssys.inc"

      CHARACTER*(*) CNAME

      INTEGER LDIR,LPNT,LEXF,LIOF,LSRT
      INTEGER IFIND,IPDIR,IEBANK,IPBANK
      
      INTEGER IBANK,NBANK,IEXF
      CHARACTER*1 CALL
      PARAMETER (CALL='*')

      INTEGER KZNAME

      
      IF (INDEX(CNAME,CALL).EQ.0) THEN

         IFIND = KZNAME(CNAME)
         IF (IFIND.LE.0) RETURN
         
         LDIR = LZBS(IPDIRT)
         
         LSRT = LZBS(LDIR-ILBSRT)
         IPDIR = IZBS(LSRT+IFIND)
         IF(IPDIR.LE.0) RETURN
         
         LPNT = LZBS(LDIR-ILBPNT)
         IEBANK = IZBS(LPNT+IPDIR)
         IF(IEBANK.LE.0) RETURN
         
         IPBANK = LZBS(IEBANK)
         IF(IPBANK.LE.0) RETURN
         
         CALL MZDROP(IXSTOR,IPBANK,' ')
         
         LEXF = LZBS(LDIR-ILBEXF)
         LIOF = LZBS(LDIR-ILBIOF)
         
         IZBS(LEXF+IPDIR) = 0
         IZBS(LIOF+IPDIR) = 0

      ELSE

         LDIR = LZBS(IPDIRT)

         LPNT = LZBS(LDIR-ILBPNT)
         LEXF = LZBS(LDIR-ILBEXF)
         LIOF = LZBS(LDIR-ILBIOF)
         LSRT = LZBS(LDIR-ILBSRT)
         
         NBANK = IZBS(LDIR+INBANK)
         IF (NBANK.GT.0) THEN

            DO 100 IBANK=1,NBANK
               
               IEXF = IZBS(LEXF+IBANK)
               IF (IEXF.GT.0) THEN
                  
                  IEBANK = IZBS(LPNT+IBANK)
                  IF (IEBANK.GT.0) THEN
                     
                     IPBANK = LZBS(IEBANK)
                     IF(IPBANK.GT.0) THEN
                        
                        CALL MZDROP(IXSTOR,IPBANK,' ')
                        
                        LEXF = LZBS(LDIR-ILBEXF)
                        LIOF = LZBS(LDIR-ILBIOF)
                        
                        IZBS(LEXF+IBANK) = 0
                        IZBS(LIOF+IBANK) = 0
                        
                     ENDIF
                     
                  ENDIF
                  
               ENDIF
               
 100        CONTINUE
            
         ENDIF

      ENDIF

      RETURN
      END
