************************************************************************
*     -----------------
      SUBROUTINE KZCLDT
*     -----------------
*
*     (Purpose)
*       Clear bank directory table
*
*     (Input)
*       None
*
*     (Output)
*       None
*
*     (Comment)
*
*     (Creation Date and Author)
*       1994.07.06 : First version by J.Kanzaki
*       1996.04.26 : Add declarations by J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbssys.inc"
#include "zbs.inc"

      INTEGER LDIR,LEXF
      INTEGER NBANK,IBANK


***** Get pointers to the bank directory table
      LDIR = LZBS(IPDIRT)

      NBANK=IZBS(LDIR+INBANK)
      IF(NBANK.LE.0) RETURN

      LEXF=LZBS(LDIR-ILBEXF)
      IF(LEXF.LE.0) RETURN

      DO 100 IBANK=1,NBANK
      IZBS(LEXF+IBANK) = 0
  100 CONTINUE

      RETURN
      END
