************************************************************************
*     ------------------------
      SUBROUTINE KZEPRV(ICOND)
*     ------------------------
*
*     (Purpose)
*        Mark the previous event in the event buffer as "current".
*
*     (Creation Date)
*        1994.06.14 : First version by J.Kanzaki.
*        1996.04.25 : Add declarations by J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbs.inc"
#include "zbssys.inc"

      INTEGER ICOND

      INTEGER LEVC,LELS
      INTEGER LCUR,LPRV


      ICOND = 0

      LEVC = LZBS(IPEVC)

      LELS = LZBS(LEVC-ILEMLS)
      LCUR = LZBS(LEVC-ILEMCR)

      IF(LCUR.NE.LELS) THEN

         LPRV = LZBS(LCUR+2)
         LZBS(LEVC-ILEMCR) = LPRV

      ELSE

         ICOND = 1

      END IF

      CALL KZMKDT

      RETURN
      END
