************************************************************************
*     -----------------------------
      SUBROUTINE KZEXB1(LBIR,ISEGM)
*     -----------------------------
*
*     (Purpose)
*       Expand bank data records for fixed segment bank
*
*     (Input)
*       LBIR  ; Address of the bank index record
*       ISEGM ; Target segment# to be added
*
*     (Output)
*       none
*
*     (Creation Date and Author)
*       1994.07.07 : First version by J.Kanzaki
*       1996.04.25 : Add declarations. J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbs.inc"
#include "zbssys.inc"

      INTEGER LBIR,ISEGM

      INTEGER NSEGM,NSEGM1,NEXTSG
      INTEGER ISDIFF,LSEGM,LDTR


      NSEGM =IZBS(LBIR+INSEGM)
      NEXTSG=IZBS(LBIR+INEXSG)
      NEXTSG=NEXTSG+1
      ISDIFF=ISEGM-NSEGM
      IF(ISDIFF.LE.0) RETURN
      NSEGM1=IZBS(LBIR+INSGM1)
      IF(ISDIFF.GT.NSEGM1) NSEGM1=(ISDIFF/NSEGM1+1)*NSEGM1
      IF(MOD(NEXTSG,2).EQ.0) NSEGM1=2*NSEGM1
      LSEGM = IZBS(LBIR+ILSEGF)
      LDTR=LZBS(LBIR-ILDATR)
      CALL MZPUSH(IXSTOR,LDTR,0,LSEGM*NSEGM1,' ')
      NSEGM=NSEGM+NSEGM1
      IZBS(LBIR+INSEGM)=NSEGM
      IZBS(LBIR+INEXSG)=NEXTSG
      IZBS(LBIR+INSGM1)=NSEGM1

      RETURN
      END
